Subject: Re: [PATCH net 3/4] mptcp: fix kdoc warnings

From: Jakub Kicinski <[email-masked]>
Date: Thu, 5 Feb 2026 09:11:38 -0800

On Thu, 5 Feb 2026 17:42:24 +0100 Matthieu Baerts wrote:
> >> I forgot that this file was auto-generated from a YAML file.
> >>
> >> Sorry for the noise, I will send a v2 also adapting the YAML file.  
> >
> > Hm, do we need some clever way to teach the codegen about short
> > descriptions?  
> 
> In my case, there was no "doc" for this enum:
> 
>   https://lore.kernel.org/[email-masked]
> 
> Adding it fixes the kdoc warning.
> 
> Do you mean that the codegen should add a short description even if
> "doc" is not set?

Ah, ignore me. I thought we did:

 /**
  * $type
  * @member: $member-doc
  * @member: $member-doc
  *
  * $type-doc
  */

But looks like we put the type doc upfront and wrap, so perhaps not
pretty but shouldn't run afoul of kdoc rules.